Page MenuHomePhabricator

Fix to handle AArch64 watchpoint exception before instruction being watched is executed
ClosedPublic

Authored by omjavaid on Aug 12 2015, 12:50 PM.

Details

Summary

LLDB needs to know whether a watchpoint instruction is executed before or after the watchpoint exception is delivered.

This patch fixes this behavior for AArch64 and makes sure lldb disables and steps over the watchpoint instruction after watchpoint exception is delivered.

Diff Detail

Event Timeline

omjavaid updated this revision to Diff 31971.Aug 12 2015, 12:50 PM
omjavaid retitled this revision from to Fix to handle AArch64 watchpoint exception before instruction being watched is executed.
omjavaid updated this object.
omjavaid added reviewers: tberghammer, clayborg.
omjavaid added a subscriber: lldb-commits.
clayborg accepted this revision.Aug 12 2015, 1:02 PM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Aug 12 2015, 1:02 PM
emaste added a subscriber: emaste.Aug 12 2015, 3:39 PM
emaste added inline comments.
source/Plugins/Process/gdb-remote/GDBRemoteCommunicationServerCommon.cpp
186–187

minor point, but you could put these first in the list to keep them in alpha order

tberghammer accepted this revision.Aug 14 2015, 2:14 AM
tberghammer edited edge metadata.

LGTM

omjavaid closed this revision.Feb 9 2016, 1:08 AM